Change log for libregexp-common-perl package in Ubuntu

125 of 25 results
Published in focal-release 17 hours ago
Published in eoan-release on 2019-04-18
Published in disco-release on 2018-10-30
Published in cosmic-release on 2018-05-01
Published in bionic-release on 2017-10-24
Published in artful-release on 2017-06-20
Deleted in artful-proposed (Reason: moved to release)
libregexp-common-perl (2017060201-1) unstable; urgency=medium

  [ gregor herrmann ]
  * debian/upstream/metadata: use HTTPS for GitHub URLs.
  * Remove Jonathan Yu from Uploaders. Thanks for your work!

  [ Salvatore Bonaccorso ]
  * Import upstream version 2017060201
  * Update copyright years for upstream files
  * Update copyright years for debian/* packaging files
  * Declare compliance with Debian policy 4.0.0

 -- Salvatore Bonaccorso <email address hidden>  Sat, 17 Jun 2017 16:50:49 +0200

Available diffs

Superseded in artful-release on 2017-06-20
Obsolete in zesty-release on 2018-06-22
Obsolete in yakkety-release on 2018-01-23
Deleted in yakkety-proposed on 2018-06-22 (Reason: moved to release)
libregexp-common-perl (2016060801-1) unstable; urgency=medium

  * Import upstream version 2016060801

 -- Salvatore Bonaccorso <email address hidden>  Wed, 08 Jun 2016 21:45:20 +0200

Available diffs

Superseded in yakkety-release on 2016-06-09
Deleted in yakkety-proposed on 2016-06-10 (Reason: moved to release)
libregexp-common-perl (2016060201-1) unstable; urgency=medium

  * Import upstream version 2016060201
  * Add Build-Depends-Indep on libtest-regexp-perl

 -- Salvatore Bonaccorso <email address hidden>  Fri, 03 Jun 2016 21:25:57 +0200

Available diffs

Superseded in yakkety-release on 2016-06-04
Deleted in yakkety-proposed on 2016-06-05 (Reason: moved to release)
libregexp-common-perl (2016060101-1) unstable; urgency=medium

  * Import upstream version 2016060101

 -- Salvatore Bonaccorso <email address hidden>  Wed, 01 Jun 2016 06:38:55 +0200

Available diffs

Superseded in yakkety-release on 2016-06-01
Deleted in yakkety-proposed on 2016-06-02 (Reason: moved to release)
libregexp-common-perl (2016053101-1) unstable; urgency=medium

  * Import upstream version 2016053101

 -- Salvatore Bonaccorso <email address hidden>  Tue, 31 May 2016 08:17:33 +0200
Superseded in yakkety-proposed on 2016-05-31
libregexp-common-perl (2016053001-1) unstable; urgency=medium

  * Import upstream version 2016053001

 -- Salvatore Bonaccorso <email address hidden>  Mon, 30 May 2016 16:10:23 +0200

Available diffs

Superseded in yakkety-release on 2016-05-31
Deleted in yakkety-proposed on 2016-06-01 (Reason: moved to release)
libregexp-common-perl (2016052901-1) unstable; urgency=medium

  * Import upstream version 2016052901
  * Drop Build-Depends-Indep on libtest-pod-{perl,coverage-perl}

 -- Salvatore Bonaccorso <email address hidden>  Mon, 30 May 2016 06:41:39 +0200

Available diffs

Superseded in yakkety-release on 2016-05-30
Deleted in yakkety-proposed on 2016-06-01 (Reason: moved to release)
libregexp-common-perl (2016052804-1) unstable; urgency=medium

  * Import upstream version 2016052804
  * Drop spelling-error-in-manpage.patch patch

 -- Salvatore Bonaccorso <email address hidden>  Sun, 29 May 2016 06:39:50 +0200

Available diffs

Superseded in yakkety-release on 2016-05-29
Deleted in yakkety-proposed on 2016-05-31 (Reason: moved to release)
libregexp-common-perl (2016052803-1) unstable; urgency=medium

  * Import upstream version 2016052803
  * Refresh spelling-error-in-manpage.patch.
    One part of the patch was not yet applied upstream.

 -- Salvatore Bonaccorso <email address hidden>  Sat, 28 May 2016 13:51:25 +0200

Available diffs

Superseded in yakkety-release on 2016-05-29
Deleted in yakkety-proposed on 2016-05-30 (Reason: moved to release)
libregexp-common-perl (2016052802-1) unstable; urgency=medium

  [ gregor herrmann ]
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.

  [ Salvatore Bonaccorso ]
  * Import upstream version 2016052802
  * Update copyright years for upstream files
  * Declare compliance with Debian policy 3.9.8
  * Add patch to fix spelling errors in manpages

 -- Salvatore Bonaccorso <email address hidden>  Sat, 28 May 2016 05:55:46 +0200

Available diffs

Superseded in yakkety-release on 2016-05-28
Published in xenial-release on 2016-04-08
Superseded in xenial-release on 2016-04-08
Deleted in xenial-proposed (Reason: moved to release)
libregexp-common-perl (2016020301-1) unstable; urgency=medium

  * debian/control: Use HTTPS transport protocol for Vcs-Git URI
  * Import upstream version 2016020301
  * Declare compliance with Debian policy 3.9.7

 -- Salvatore Bonaccorso <email address hidden>  Thu, 04 Feb 2016 06:11:22 +0100

Available diffs

Superseded in xenial-release on 2016-02-04
Deleted in xenial-proposed on 2016-02-05 (Reason: moved to release)
libregexp-common-perl (2016010801-1) unstable; urgency=medium

  * Import upstream version 2016010801

 -- Salvatore Bonaccorso <email address hidden>  Fri, 08 Jan 2016 15:59:20 +0100

Available diffs

Superseded in xenial-release on 2016-01-09
Deleted in xenial-proposed on 2016-01-10 (Reason: moved to release)
libregexp-common-perl (2016010701-1) unstable; urgency=medium

  * Import upstream version 2016010701
  * Drop fix-pod-spelling.patch patch (applied upstream)
  * Update copyright years for debian/* packaging files

 -- Salvatore Bonaccorso <email address hidden>  Thu, 07 Jan 2016 21:34:53 +0100

Available diffs

Superseded in xenial-release on 2016-01-08
Deleted in xenial-proposed on 2016-01-09 (Reason: moved to release)
libregexp-common-perl (2015121601-1) unstable; urgency=medium

  [ gregor herrmann ]
  * Strip trailing slash from metacpan URLs.

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend
  * Add debian/upstream/metadata
  * Import upstream version 2015121601
  * Bump Debhelper compat level to 9
  * Update copyright years for debian/* packaging files
  * debian/copyright: Use Expat license keyword instead of MIT
  * Declare compliance with Debian policy 3.9.6
  * Mark package as autopkgtestable
  * debian/copyright: Use BSD-3-clause keyword for BSD license stanza

 -- Salvatore Bonaccorso <email address hidden>  Sat, 19 Dec 2015 18:50:20 +0100

Available diffs

Superseded in xenial-release on 2015-12-21
Obsolete in wily-release on 2018-01-22
Obsolete in vivid-release on 2018-01-18
Obsolete in utopic-release on 2016-11-03
Published in trusty-release on 2013-10-18
Obsolete in saucy-release on 2015-04-24
Deleted in saucy-proposed (Reason: moved to release)
libregexp-common-perl (2013031301-1) unstable; urgency=low


  * Imported Upstream version 2013030901, 2013031101, 2013031201 and
    2013031301
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
  * Change search.cpan.org based URIs to metacpan.org based URIs
  * Update debian/copyright information.
    Update format to copyright-format 1.0 as released together with Debian
    policy 3.9.3.
    Update copyright years for upstream files.
    Update copyright years for debian/* packaging files.
  * Bump Standards-Version to 3.9.4
  * Drop support-domain-names-starting-with-digits.patch patch.
    Patch was applied upstream.
  * Update description of package in debian/control.
    Mention the support for IPv6 addresses.

 -- Salvatore Bonaccorso <email address hidden>  Sun, 19 May 2013 08:48:01 +0200
Superseded in saucy-release on 2013-05-19
Obsolete in raring-release on 2015-04-24
Obsolete in quantal-release on 2015-04-24
Published in precise-release on 2011-12-26
libregexp-common-perl (2011121001-1) unstable; urgency=low

  * New upstream release.
  * Update fix-pod-spelling.patch.
  * Update years of upstream and packaging copyright.
 -- Ubuntu Archive Auto-Sync <email address hidden>   Mon,  26 Dec 2011 17:49:46 +0000

Available diffs

Superseded in precise-release on 2011-12-26
libregexp-common-perl (2011041701-3) unstable; urgency=low

  * Team upload.

  [ intrigeri ]
  * Fix one more spelling error in Regexp::Common POD,
    refresh fix-pod-spelling.patch accordingly and forward it upstream.

Available diffs

Superseded in precise-release on 2011-10-17
Obsolete in oneiric-release on 2015-04-24
libregexp-common-perl (2011041701-1) unstable; urgency=low

  * New upstream release 
  * Convert to '3.0 (quilt)' source package format.
  * Remove quilt framework: Drop README.source file and remove quilt use
    in debian/rules
  * debian/control:
    - Drop Build-Depends on quilt.
    - Bump versioned Build-Depends on debhelper to (>= 8).
  * Bump Debhelper compat level to 8.
  * Refresh fix-pod-spelling.patch and forward it upstream.
  * Add myself to Uploaders.
  * debian/copyright:
    - Refresh Format-Specification to revision 135 of DEP5 poposal for
      machine-readable copyright files.
    - Update debian/* packaging stanza
    - Refer to Debian systems in general instead of only Debian
      GNU/Linux systems.
    - Explicitly point to GPL-1 license text in common-licenses.
  * Bump Standards-Version to 3.9.2.
 -- Ubuntu Archive Auto-Sync <email address hidden>   Sat,  30 Apr 2011 13:10:15 +0000

Available diffs

Superseded in oneiric-release on 2011-04-30
Obsolete in natty-release on 2013-06-04
Superseded in natty-release on 2010-12-03
Obsolete in maverick-release on 2013-03-05
Obsolete in lucid-release on 2016-10-26
libregexp-common-perl (2010010201-1) unstable; urgency=low

  [ Jonathan Yu ]
  * New upstream release
  * Add myself to Uploaders
  * Rewrite control description
  * Standards-Version 3.8.3 (no changes)
  * Use new short debhelper rules format
  * Add a patch to fix POD spelling errors
  * Remove unnecessary overrides
  * No longer install TODO
  * Refresh copyright to new DEP5 format

  [ gregor herrmann ]
  * debian/control: Changed: Switched Vcs-Browser field to ViewSVN
    (source stanza).
  * debian/control: Added: ${misc:Depends} to Depends: field.

  [ Nathan Handler ]
  * debian/watch: Update to ignore development releases.

  [ Salvatore Bonaccorso ]
  * debian/control: Changed: Replace versioned (build-)dependency on
    perl (>= 5.6.0-{12,16}) with an unversioned dependency on perl (as
    permitted by Debian Policy 3.8.3).
 -- Ubuntu Archive Auto-Sync <email address hidden>   Mon,  18 Jan 2010 07:31:33 +0000

Available diffs

Superseded in lucid-release on 2010-01-18
Obsolete in karmic-release on 2013-03-04
Obsolete in jaunty-release on 2013-02-28
Obsolete in intrepid-release on 2013-02-20
libregexp-common-perl (2.122-1) unstable; urgency=low

  * debian/control: Added: Vcs-Svn field (source stanza); Vcs-Browser
    field (source stanza); Homepage field (source stanza). Removed: XS-
    Vcs-Svn fields.
  * debian/rules: delete /usr/lib/perl5 only if it exists.

  * New upstream release.
  * debian/watch: use dist-based URL.
  * debian/copyright: point to author-independent source download location;
    mention both upstream authors; update copyright and licensing terms
    according to upstream changes.
  * Refresh debian/rules, no functional changes.
  * Add lintian-overrides for warnings about long lines; they are caused by
    long URLs.
  * Set Standards-Version to 3.7.3 (no changes).
  * Add /me to Uploaders.

 -- Ubuntu Archive Auto-Sync <email address hidden>   Thu,  05 Jun 2008 22:10:15 +0100

Available diffs

Superseded in intrepid-release on 2008-06-05
Obsolete in hardy-release on 2015-04-24
Obsolete in gutsy-release on 2011-09-16
Obsolete in feisty-release on 2009-08-20
libregexp-common-perl (2.120-4) unstable; urgency=low

  * Adopted for Debian Perl Group
  * debian/control: debhelper increased to (>= 5)
  * debian/compat: increased to 5

 -- Ubuntu Archive Auto-Sync <email address hidden>   Wed,  22 Nov 2006 11:30:01 +0000
Superseded in feisty-release on 2006-11-22
libregexp-common-perl (2.120-3) unstable; urgency=low

  * debian/watch: Fixed url

Superseded in feisty-release on 2006-11-08
Obsolete in edgy-release on 2008-06-19
Obsolete in dapper-release on 2011-09-06
Superseded in dapper-release on 2006-02-03
Obsolete in breezy-release on 2008-03-25
libregexp-common-perl (2.120-1) unstable; urgency=low


  * New upstream release

 -- Stephen Quinney <email address hidden>  Fri, 18 Mar 2005 09:01:48 +0000
Obsolete in hoary-release on 2008-03-19
libregexp-common-perl (2.118-1) unstable; urgency=low


  * New upstream release - bug fixes.

 -- Stephen Quinney <email address hidden>  Thu, 16 Dec 2004 18:54:08 +0000
Obsolete in warty-release on 2008-01-09
libregexp-common-perl (2.115-1) unstable; urgency=low


  * New upstream release

 -- Stephen Quinney <email address hidden>  Wed, 16 Jun 2004 18:25:22 +0100
125 of 25 results